%define name gxtar
%define version 0.1.0
%define release 2mdk

Summary: Gnome frontend to common archive programs.
Name: %{name}
Version: %{version}
Release: %{release}
Copyright: GPL
Group: Archiving/Other
Source: gxtar-0.1.0.tar.bz2
Buildroot: /var/tmp/%{name}-buildroot

%description
gxTar is a Gnome/Gtk front-end to common archive utilities
under unix.  Currently zip, gzip, tar, bzip2, and arj are supported. 

%prep
%setup

%build
CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" ./configure \
    --prefix=%{prefix}

make RPM_OPT_FLAGS="$RPM_OPT_FLAGS"
     
%install
install -m 755 -d $RPM_BUILD_ROOT/usr/bin/
install -s -m 755 gxtar $RPM_BUILD_ROOT/usr/bin/gxtar
install -m 755 -d $RPM_BUILD_ROOT/usr/share/mime-info/
install -s -m 644 gxtar.keys $RPM_BUILD_ROOT/usr/share/mime-info/gxtar.keys
install -m 755 -d $RPM_BUILD_ROOT/usr/share/gnome/apps/Utilities/
install -s -m 644 gxtar.desktop $RPM_BUILD_ROOT/usr/share/gnome/apps/Utilities/gxtar.desktop

%files
%defattr (-,root,root)
/usr/bin/*
/usr/share/mime-info/*
/usr/share/gnome/apps/Utilities/*
%doc README COPYING ChangeLog

%changelog
* Thu Apr 27 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.1.0-2mdk
- fix group
- fix permission on sources

* Fri Dec 03 1999 Lenny Cartier <lenny@mandrakesoft.com>
- add defattr
- bz2 archive
- fix location of files
